releasing package bti version 034-1
[debian/bti.git] / debian / changelog
1 bti (034-1) unstable; urgency=medium
2
3   * New upstream release. Important changes:
4     - use https for all Twitter URLs
5       Closes: #735367
6     - drop (already broken) support for StatusNet / identi.ca (which has
7       switched from StatusNet to the never-supported pump.io)
8       Closes: #714330, #717133
9   * debian/*: don't mention identi.ca/StatusNet anymore.
10   * Add patch to remove some more references to identi.ca from the help
11     output and the example config.
12   * Drop two patches (taken from upstream or fixed identically),
13     refresh one (offset).
14   * Update years of packaging copyright.
15   * Declare compliance with Debian Policy 3.9.5.
16
17  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Jan 2014 19:01:33 +0100
18
19 bti (033-2) unstable; urgency=low
20
21   * Add patch use-EIO-instead-of-EREMOTEIO.patch, taken from upstream git.
22     (Closes: #714335)
23
24  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 12:55:53 +0200
25
26 bti (033-1) unstable; urgency=low
27
28   * New upstream release:
29     - fixes "bti should terminate with an error if the --config file can't
30       be read" (Closes: #669192)
31     - fixes "bti no longer works with Twitter and loses posted tweets"
32       by adjusting to the Twitter API v 1.1
33       (Closes: #714032)
34   * Refresh manpage-debian.patch (offset).
35   * Add build dependency on libjson-c-dev.
36   * Add patch to handle Debian's libjson-c.
37   * Add a patch to fix a spelling mistake in the manpage.
38   * Update OAuth instructions on README.Debian. (Closes: #706104)
39   * Update long description (direct messages are supported now).
40
41  -- gregor herrmann <gregoa@debian.org>  Fri, 28 Jun 2013 01:55:26 +0200
42
43 bti (032-2) unstable; urgency=low
44
45   * Update Vcs-* headers.
46   * debian/watch: update after github URL schema change.
47   * Build depend on libcurl4-gnutls-dev instead of libcurl4-nss-dev (cf.
48     #650138) and make build dependency on liboauth-dev versioned just in
49     case). (LP: #1072720)
50   * Remove version from bash-completion build dependency, nothing older in
51     the archive.
52   * debian/copyright: switch formatting to Copyright-Format 1.0.
53   * Update years of packaging copyright.
54   * Set Standards-Version to 3.9.4 (no changes).
55   * Bump debhelper compatibility level to 9.
56   * debian/rules: make build non-silent.
57
58  -- gregor herrmann <gregoa@debian.org>  Mon, 06 May 2013 21:27:22 +0200
59
60 bti (032-1) unstable; urgency=low
61
62   * New upstream release
63   * debian/watch: use github redirector, there are no released tarballs at the
64     moment.
65   * The tarball from github doesn't ship a configure script; use
66     dh-autoreconf.
67   * Refresh patch manpage-debian.patch (offset), drop remaining patches (all
68     included upstream).
69
70  -- gregor herrmann <gregoa@debian.org>  Sat, 03 Dec 2011 01:25:55 +0100
71
72 bti (031-4) unstable; urgency=low
73
74   * Build-depend on libcurl4-nss-dev instead of libcurl4-gnutls-dev; they
75     conflict with each other, and liboauth-dev now requires the former.
76     (Fixes a not-yet-detected FTBFS.)
77
78  -- gregor herrmann <gregoa@debian.org>  Sat, 26 Nov 2011 23:53:14 +0100
79
80 bti (031-3) unstable; urgency=low
81
82   * Add patch to output the correct configfile name (identi.ca/OAuth/access
83     tokens). Thanks to Vincent Lefevre for the bug report; closes: #646681.
84
85  -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:48:05 +0100
86
87 bti (031-2) unstable; urgency=low
88
89   * New patch debian/patches/identi.ca-oauth.patch: change identica_* OAuth
90     URI's to point to https instead of http (closes: #602507).
91   * Set Standards-Version to 3.9.2 (no changes).
92   * Improve long description.
93
94  -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 20:35:48 +0200
95
96 bti (031-1) unstable; urgency=low
97
98   * New upstream release:
99     - addresses "bti doesn't warn if the password is incorrect": check server
100       replies in non-background mode, only in non-OAuth mode
101       (partly solves #602502)
102
103  -- gregor herrmann <gregoa@debian.org>  Tue, 22 Mar 2011 17:18:10 +0100
104
105 bti (030-1) unstable; urgency=low
106
107   * New upstream release.
108   * Switch to debhelper 8.
109
110  -- gregor herrmann <gregoa@debian.org>  Fri, 18 Mar 2011 12:32:44 +0100
111
112 bti (029-2) unstable; urgency=low
113
114   * Upload to unstable.
115
116  -- gregor herrmann <gregoa@debian.org>  Mon, 07 Feb 2011 18:32:28 +0100
117
118 bti (029-1) experimental; urgency=low
119
120   * New upstream release: includes fixes for
121     + "the --dry-run option has no effect (tweets get posted anyway)
122        with OAuth" (closes: #608608)
123     + "--replyto doesn't work with OAuth" (closes: #608112)
124   * laconi.ca was renamed to StatusNet (in August 2009); adjust package
125     description and add a patch to change the name in the manpage and the
126     example config; thanks to Julien Valroff for the bug report
127     (closes: #605407).
128   * Drop patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch, applied
129     upstream.
130   * Refresh remaining patches.
131   * debian/copyright: update years of upstream and packaging copyright; update
132     formatting.
133   * Don't install README anymore.
134   * Upload to experimental because of the freeze.
135
136  -- gregor herrmann <gregoa@debian.org>  Fri, 14 Jan 2011 02:43:10 +0100
137
138 bti (028-2) unstable; urgency=low
139
140   * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
141     Mohammad Saied which adds the oauth_callback parameter to the identi.ca
142     request_token URI in order to make OAuth work with identi.ca
143     (closes: #602507).
144   * Minor fixes in README.Debian.
145
146  -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100
147
148 bti (028-1) unstable; urgency=low
149
150   * New upstream release:
151     - support for replying to notices
152     - adds OAuth support for both twitter and identi.ca (closes: #588235)
153     - split --background from --bash, and make the latter imply the former
154   * Refresh manpage-debian.patch.
155   * Set Standards-Version to 3.9.1 (no changes).
156   * Add build dependency on liboauth-dev.
157   * debian/rules: switch order of dh arguments (preparation for dh8).
158   * debian/copyright: update years of upstream copyright.
159   * Add README.Debian about OAuth usage.
160
161  -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100
162
163 bti (026-1) unstable; urgency=low
164
165   * Bump build dependency on bash-completion (needed for --with
166     bash-completion in debian/rules).
167
168   * New upstream release.
169   * Refresh patch manpage-debian.patch and DEP3 patch headers.
170   * debian/copyright: refresh DEP5 header, update years of packaging
171     copyright.
172   * Set Standards-Version to 3.8.4 (no changes).
173   * Convert to source format 3.0 (quilt). Remove quilt framework.
174     Lower debhelper dependency.
175
176  -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200
177
178 bti (025-1) unstable; urgency=low
179
180   * New upstream release: 
181     - set default host to twitter (closes: #563098)
182     - mention correct host in prompts (closes: #563099)
183
184  -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100
185
186 bti (024-1) unstable; urgency=low
187
188   * New upstream release:
189     - do not display password while user types it (LP: #386525)
190     - disable echo when reading the password
191     - add laconica group support
192   * debian/control: add Homepage field and adjust long description.
193   * Use "--with bash-completion" in debian/rules to install bash-completion
194     snippet; bump build dependencies on debhelper and bash-completion in
195     debian/control.
196
197  -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100
198
199 bti (023-2) unstable; urgency=low
200
201   * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
202     Matthias Klose for the pointer.
203   * Set Standards-Version to 3.8.3 (no changes).
204   * Add debian/README.source to document quilt usage.
205   * Simplify debian/rules, adjust versioned build dependencies on debhelper
206     and quilt in debian/control.
207   * Use dh_bash-completion for installing the completion snippet; adjust
208     debian/rules, add a versioned build dependency on bash-completion.
209
210  -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200
211
212 bti (023-1) unstable; urgency=low
213
214   * New upstream release, main changes:
215     - new 'verbose' mode
216     - SSL also for twitter
217   * debian/copyright: add new additional copyright holder.
218   * Refresh patch manpage-debian.patch.
219   * debian/control: mention additional actions in long description.
220
221  -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200
222
223 bti (022-1) unstable; urgency=low
224
225   * New upstream release, main changes:
226     - support for custim laconi.ca instances
227     - use SSL for identi.ca
228   * debian/copyright: add additional copyright holder.
229
230  -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200
231
232 bti (021-1) unstable; urgency=low
233
234   * New upstream release, contains changes in autoconf tools:
235     - simplify debian/rules and debian/install
236     - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control
237
238  -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200
239
240 bti (020-1) unstable; urgency=low
241
242   * New upstream release:
243     - remove patch getopt.patch, included upstream
244     - remove manpage for bti-shrink-urls from debian/, included upstream
245     - upstream uses autoconf, adjust debian/rules and debian/install, remove
246       debian/manpages
247
248  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200
249
250 bti (017-1) unstable; urgency=low
251
252   * New upstream release.
253   * Add build-dependency on libpcre3-dev.
254   * Refresh patch manpage-debian.patch.
255   * debian/install: add new bti-shrink-urls.
256   * debian/copyright: add information about bti-shrink-urls.
257   * Create a manpage for bti-shrink-urls.
258   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
259     target which is not easier to use than the manual installation we've been
260     using).
261   * Add a new patch getopt.patch to make the new commandline options available
262     in bti.c.
263
264  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
265
266 bti (015-1) unstable; urgency=low
267
268   * New upstream release; from the RELEASE-NOTES:
269     "--action support, bti now can output data from the twitter
270     and identica servers".
271   * Add build dependency on libxml2-dev.
272   * Refresh patch manpage-debian.patch.
273   * Set Standards-Version to 3.8.1 (no changes).
274
275  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
276
277 bti (014-1) unstable; urgency=low
278
279   * New upstream release.
280
281  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
282
283 bti (013-1) unstable; urgency=low
284
285   * New upstream release.
286   * Use dh_install instead of dh_bash-completion to install the bash
287     completion snippet in order to work around a problem on the amd64 buildd
288     (closes: #513115). Drop build dependency on bash-completion.
289
290  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
291
292 bti (012-1) unstable; urgency=low
293
294   * New upstream release.
295   * Install the new bash completion script; add bash-completion to
296     Build-Depends and Suggests.
297   * Refresh patch manpage-debian.patch.
298
299  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
300
301 bti (011-1) unstable; urgency=low
302
303   * New upstream release.
304   * Add build dependency on libreadline5-dev.
305
306  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
307
308 bti (010-1) unstable; urgency=low
309
310   * New upstream release, includes a new --proxy option and honours the
311     http_proxy environment variable (closes: #511087).
312   * Refresh patch manpage-debian.patch.
313
314  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
315
316 bti (008-1) unstable; urgency=low
317
318   * New upstream release (due to december twitter server change).
319   * Update years of packaging copyright.
320
321  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
322
323 bti (007-1) unstable; urgency=low
324
325   * New upstream release.
326
327  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
328
329 bti (006-1) unstable; urgency=low
330
331   * Initial release (Closes: #503241)
332
333  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200